Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Interface StructureDef

All Known Subinterfaces:
  ViewObject

All Known Implementing Classes:
  DomainStructureDef, StructureDefHelper, oracle.jbo.server.ViewDefImpl

public interface StructureDef

Imlemented by classes that access a View Object's or Entity Object's metadata.

Since:
  JDeveloper 3.0
See Also:
  `ApplicationModule`, `RowSet`

Method Summary
`AttributeDef` | `findAttributeDef(java.lang.String name)` Gets an attribute definition, given its name.
`int` | `getAttributeCount()` Returns the number of defined attributes.
`AttributeDef` | `getAttributeDef(int index)` Gets an attribute definition, given its index.
`AttributeDef[]` | `getAttributeDefs()` Gets the defined attributes.

Method Detail

### getAttributeDefs

    public AttributeDef[] getAttributeDefs()

  Gets the defined attributes.
  Returns:
    an array of attribute definitions.

### getAttributeCount

    public int getAttributeCount()

  Returns the number of defined attributes.
  Returns:
    the number of attributes.

### findAttributeDef

    public AttributeDef findAttributeDef(java.lang.String name)

  Gets an attribute definition, given its name.
  Parameters:
    `name` - the name of an `AttributeDef`.
  Returns:
    an attribute definition
  Throws:
    NoDefException - - if the attribute is not found.

### getAttributeDef

    public AttributeDef getAttributeDef(int index)

  Gets an attribute definition, given its index.
  Parameters:
    `index` - the index of an `AttributeDef`, where the leftmost attribute has index zero.
  Returns:
    an attribute definition.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD